#!/bin/bash

set -e

# Github auth for private npm packages
su -c "echo \"//github.com/:_authToken=$GH_TOKEN\" > /home/app/.npmrc"

# install npm dependencies
su -c "cd /home/app && npm install"

# remove the token
su -c "rm -f /home/app/.npmrc"

# run supervisord
exec /usr/bin/supervisord -c /etc/supervisor/conf.d/supervisord.conf